aboutsummaryrefslogtreecommitdiff
path: root/buttons
diff options
context:
space:
mode:
authorPhilip Wittamore <philip@wittamore.com>2026-05-03 14:03:12 +0200
committerPhilip Wittamore <philip@wittamore.com>2026-05-03 14:03:12 +0200
commitd23c158bb34be7d4c9d1fbbd5ec23fa5d9c3fccb (patch)
tree65a1ae5505155b0cfa82a3a52fc86f49be9ce28e /buttons
update
Diffstat (limited to 'buttons')
-rwxr-xr-xbuttons15
1 files changed, 15 insertions, 0 deletions
diff --git a/buttons b/buttons
new file mode 100755
index 0000000..f4c2106
--- /dev/null
+++ b/buttons
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+xmessage -buttons reboot,suspend,poweroff "$@" ""
+
+case "$?" in
+ 101)
+ /usr/bin/loginctl reboot
+ ;;
+ 102)
+ /usr/bin/loginctl suspend
+ ;;
+ 103)
+ /usr/bin/loginctl poweroff
+ ;;
+esac